USE [期日前当日投票_STD]


GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON

/* 以下で新規作成するテーブルは下記の通り:
	選挙人台帳
	選挙人異動情報
	入場券返戻情報
	選挙情報
	投票者数情報
	投票録情報
	投票立会人情報
	投票録集計情報
	投票録投票者情報
	投票情報
	ユーザー情報
	グループ情報
	汎用マスタ
	ホスト取込設定情報
	ホスト取込項目情報
	ホスト連携情報
	ホスト転送設定情報
	ホスト転送項目情報
	外字変換マスタ
	メッセージマスタ
	KEN_add2
	KEN_add
	SENCOM
	選挙人台帳付帯情報
	投票区情報
	開票区情報
	選挙区情報
	受付場所情報
	選挙区内開票区情報
	受付可能開票区情報
	行政区情報
	行政区内開票区情報
	選挙人属性管理情報
	一括登録４抹情報	
	共通投票所情報
	共通投票所投票区情報
	senacclog
	Exclusion
	公印設定
	不在管理番号
	受付場所設置期間

*/

/* 選挙人台帳 */
GO
CREATE TABLE [dbo].[選挙人台帳](
	[個人番号] [bigint] NOT NULL,
	[名簿区分] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[執行日] [datetime] NOT NULL,
	[投票区コード] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[簿冊番号] [int] NULL,
	[頁番号] [int] NULL,
	[行番号] [int] NOT NULL,
	[性別] [tinyint] NOT NULL,
	[登録日] [int] NULL,
	[バーコード] [nvarchar](40) COLLATE Japanese_CI_AS NULL,
	[在外選挙人証番号] [nvarchar](40) COLLATE Japanese_CI_AS NULL,
	[在外選挙人証画像パス] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[国籍区分] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[住所コード] [nvarchar](30) COLLATE Japanese_CI_AS NULL,
	[世帯コード] [bigint] NULL,
	[世帯主名] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[続柄コード] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[カナ氏名] [nvarchar](80) COLLATE Japanese_CI_AI NOT NULL,
	[漢字氏名] [nvarchar](80) COLLATE Japanese_CI_AS NOT NULL,
	[通称名] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[通称名カナ] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[生年月日] [int] NOT NULL,
	[郵便番号] [nvarchar](7) COLLATE Japanese_CI_AS NULL,
	[現住所１] [nvarchar](80) COLLATE Japanese_CI_AS NOT NULL,
	[現住所２] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[転入届出日] [int] NULL,
	[転入日] [int] NULL,
	[前住所自治体コード] [int] NULL,
	[前住所郵便番号] [nvarchar](7) COLLATE Japanese_CI_AS NULL,
	[前住所１] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[前住所２] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[再転入回復日] [int] NULL,
	[異動先自治体コード] [int] NULL,
	[異動先郵便番号] [nvarchar](7) COLLATE Japanese_CI_AS NULL,
	[異動先住所１] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[異動先住所２] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[選挙人属性] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[在宅代理補助者氏名] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[メモ] [nvarchar](MAX) COLLATE Japanese_CI_AS NULL,
	[特定外字フラグ] [nvarchar](3) COLLATE Japanese_CI_AS NULL,
	[予備１] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[予備２] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[予備３] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[予備４] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[修正日] [datetime] NULL,
	[修正理由] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[資格区分] [tinyint] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[清音カナ氏名] [nvarchar](200) NULL
)


/* 選挙人異動情報 */
GO
CREATE TABLE [dbo].[選挙人異動情報](
	[個人番号] [bigint] NOT NULL,
	[名簿区分] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[執行日] [datetime] NOT NULL,
	[異動事由種別] [tinyint] NOT NULL,
	[異動事由コード] [tinyint] NOT NULL,
	[異動届出日] [int] NULL,
	[異動日] [int] NULL,
	[異動処理日] [datetime] NULL,
	[異動修正区分] [tinyint] NOT NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
)


/* 入場券返送情報 */
GO
CREATE TABLE [dbo].[入場券返送情報](
	[個人番号] [bigint] NOT NULL,
	[名簿区分] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[執行日] [datetime] NOT NULL,
	[入場券返送理由] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[入場券返送日] [datetime] NULL,
	[問い合わせ日] [datetime] NULL,
	[入場券再発行理由] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[入場券再発行日] [datetime] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL)


/* 選挙情報 */
GO
CREATE TABLE [dbo].[選挙情報](
	[ID] [smallint] NOT NULL,
	[執行日] [datetime] NOT NULL,
	[選挙種別] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[選挙正式名称] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[選挙名称] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[選挙略称] [nvarchar](2) COLLATE Japanese_CI_AS NULL,
	[公示告示日] [datetime] NULL,
	[在外交付開始日] [datetime] NULL,
	[交付開始日] [datetime] NULL,
	[交付終了日] [datetime] NULL,
	[受理開始日] [datetime] NULL,
	[期日前開始日] [datetime] NULL,
	[登録基準日] [datetime] NULL,
	[執行日満年齢] [tinyint] NULL,
	[予備１] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[予備２] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[予備３] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)



/* 投票者数情報 */
GO
CREATE TABLE [dbo].[投票者数情報](
	[種別] [tinyint] NOT NULL,
	[選挙ID] [smallint] NOT NULL,
	[選挙区コード] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[投票場所] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[投票日] [datetime] NOT NULL,
	[性別] [tinyint] NOT NULL,
	[投票者数] [int] NOT NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* 投票録情報 */
GO
CREATE TABLE [dbo].[投票録情報](
	[選挙ID] [smallint] NOT NULL,
	[投票日] [datetime] NOT NULL,
	[投票場所] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[開設場所] [nvarchar](50) COLLATE Japanese_CI_AS NULL,
	[投票開始] [datetime] NULL,
	[投票終了] [datetime] NULL,
	[確認者氏名] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[確認者住所] [nvarchar](100) COLLATE Japanese_CI_AS NULL,
	[従事者数選管] [tinyint] NULL,
	[従事者数職員] [tinyint] NULL,
	[従事者数他] [tinyint] NULL,
	[従事者数計] [smallint] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* 投票立会人情報 */
GO
CREATE TABLE [dbo].[投票立会人情報](
	[選挙ID] [smallint] NOT NULL,
	[投票日] [datetime] NOT NULL,
	[投票場所] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[選任種別] [tinyint] NOT NULL,
	[立会人ID] [smallint] NOT NULL,
	[立会人名] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[党派名] [nvarchar](50) COLLATE Japanese_CI_AS NULL,
	[選任年月日] [datetime] NULL,
	[立会開始] [datetime] NULL,
	[立会終了] [datetime] NULL,
	[参会時刻] [datetime] NULL,
	[辞職時刻] [datetime] NULL,
	[辞職事由] [nvarchar](50) COLLATE Japanese_CI_AS NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* 投票録集計情報 */
GO
CREATE TABLE [dbo].[投票録集計情報](
	[選挙ID] [smallint] NOT NULL,
	[投票日] [datetime] NOT NULL,
	[投票場所] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[項目ID] [smallint] NOT NULL,
	[集計数男] [int] NULL,
	[集計数女] [int] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* 投票録投票者情報 */
GO
CREATE TABLE [dbo].[投票録投票者情報](
	[選挙ID] [smallint] NOT NULL,
	[投票日] [datetime] NOT NULL,
	[投票場所] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[項目ID] [smallint] NOT NULL,
	[投票者ID] [smallint] NOT NULL,
	[投票区コード] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[簿冊番号] [smallint] NULL,
	[頁番号] [smallint] NULL,
	[行番号] [smallint] NOT NULL,
	[氏名] [nvarchar](80) COLLATE Japanese_CI_AS NOT NULL,
	[事由] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[補助者１] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[補助者２] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* 投票情報 */
GO
CREATE TABLE [dbo].[投票情報](
	[個人番号] [bigint] NOT NULL,
	[名簿区分] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[執行日] [datetime] NOT NULL,
	[選挙ID] [smallint] NOT NULL,
	[処理ID] [int] NOT NULL,
	[取消日時] [datetime] NULL,
	[受付区分] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[投票状態] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[投票事由] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[名簿対照処理日時] [datetime] NULL,
	[名簿対照処理端末] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[投票日] [datetime] NULL,
	[投票方法] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[投票結果] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[投票場所] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[投票処理日時] [datetime] NULL,
	[投票処理端末] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[不在請求日] [datetime] NULL,
	[不在請求方法] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[不在請求者区分] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[不在交付日] [datetime] NULL,
	[不在交付方法] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[不在交付場所] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[不在交付処理日時] [datetime] NULL,
	[不在交付処理端末] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[不在受理日] [datetime] NULL,
	[不在受理方法] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[不在受理結果] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[不在受理場所] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[不在受理処理日時] [datetime] NULL,
	[不在受理処理端末] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[不在証明書発行] [tinyint] NULL,
	[投票立会人１] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[投票立会人２] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[代理事由] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[代理補助者氏名１] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[代理補助者氏名２] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[返票事由] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[返票受付日] [datetime] NULL,
	[返票受付場所] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[返票受付処理日時] [datetime] NULL,
	[返票受付処理端末] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[拒否理由] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[不在施設番号] [nvarchar](14) COLLATE Japanese_CI_AS NULL,
	[不在交付一括処理ID] [int] NULL,
	[不在受理一括処理ID] [int] NULL,
	[不在返票一括処理ID] [int] NULL,
	[カウンタ] [int] NULL,
	[滞在地転送先郵便番号] [nvarchar](7) COLLATE Japanese_CI_AS NULL,
	[滞在地転送先住所１] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[滞在地転送先住所２] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[引続き証明持参者] [tinyint] NULL,
	[送致元市区町村名] [nvarchar](255) COLLATE Japanese_CI_AS NULL
)

/* ユーザー情報 */
GO
CREATE TABLE [dbo].[ユーザー情報](
	[ID] [nvarchar](20) COLLATE Japanese_CI_AS NOT NULL,
	[パスワード] [nvarchar](20) COLLATE Japanese_CI_AS NOT NULL,
	[グループ] [nvarchar](20) COLLATE Japanese_CI_AS NOT NULL,
	[担当者コード] [nvarchar](15) COLLATE Japanese_CI_AS NULL,
	[担当者名] [nvarchar](30) COLLATE Japanese_CI_AS NULL,
	[組織コード] [nvarchar](10) COLLATE Japanese_CI_AS NULL,
	[組織名] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[役職コード] [nvarchar](10) COLLATE Japanese_CI_AS NULL,
	[役職名] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* グループ情報 */
GO
CREATE TABLE [dbo].[グループ情報](
	[グループ] [nvarchar](20) NOT NULL,
	[レベル] [tinyint] NOT NULL,
	[R期日前受付] [tinyint] NOT NULL,
	[R期日前代理登録] [tinyint] NOT NULL,
	[R期日前入場券再発行] [tinyint] NOT NULL,
	[R期日前返票] [tinyint] NOT NULL,
	[R期日前投票状況] [tinyint] NOT NULL,
	[R期日前日別集計総括表] [tinyint] NOT NULL,
	[R当日投票受付] [tinyint] NOT NULL,
	[R当日代理登録] [tinyint] NOT NULL,
	[R当日入場券再発行] [tinyint] NOT NULL,
	[R当日返票] [tinyint] NOT NULL,
	[R入場券返戻] [tinyint] NOT NULL,
	[R入場券返戻世帯] [tinyint] NOT NULL,
	[R入場券返戻一括] [tinyint] NOT NULL,
	[R不在受付] [tinyint] NOT NULL,
	[R不在交付滞在地] [tinyint] NOT NULL,
	[R不在交付施設] [tinyint] NOT NULL,
	[R不在交付施設一括] [tinyint] NOT NULL,
	[R不在交付郵便] [tinyint] NOT NULL,
	[R不在交付船員（登録地）] [tinyint] NOT NULL,
	[R不在交付船員（指定港）] [tinyint] NOT NULL,
	[R不在交付国外] [tinyint] NOT NULL,
	[R不在一般受理] [tinyint] NOT NULL,
	[R不在受理施設一括] [tinyint] NOT NULL,
	[R不在受理船員（指定港）] [tinyint] NOT NULL,
	[R不在受理船員（洋上）] [tinyint] NOT NULL,
	[R不在受理南極] [tinyint] NOT NULL,
	[R不在返票] [tinyint] NOT NULL,
	[R情報修正] [tinyint] NOT NULL,
	[Rマスタ登録] [tinyint] NOT NULL,
	[Rホスト連携] [tinyint] NOT NULL,
	[Rサーバー管理] [tinyint] NOT NULL,
	[R帳票] [tinyint] NOT NULL,
	[Rバーコード設計] [tinyint] NOT NULL,
	[Rラベル設計] [tinyint] NOT NULL,
	[Rメッセージ設定] [tinyint] NOT NULL,
	[R受付画面制御] [tinyint] NOT NULL,
	[Rアカウント設定] [tinyint] NOT NULL,
	[R動作区分] [tinyint] NOT NULL,
	[R詳細設定] [tinyint] NOT NULL,
	[R端末情報登録] [tinyint] NOT NULL,
	[R不在交付特例郵便] [tinyint] NOT NULL,
	[Rメモ] [tinyint] NOT NULL,
	[R不在交付滞在地一括] [tinyint] NOT NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* 汎用マスタ */
GO
CREATE TABLE [dbo].[汎用マスタ](
	[ID] [nvarchar](5) COLLATE Japanese_CI_AS NOT NULL,
	[設定端末] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[CodeI] [tinyint] NULL,
	[CodeS] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[DataI] [smallint] NULL,
	[DataS] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[DataD] [datetime] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* ホスト取込設定情報 */
GO
CREATE TABLE [dbo].[ホスト取込設定情報](
	[レイアウト番号] [int] NOT NULL,
	[項目コード] [char](3) COLLATE Japanese_CI_AS NOT NULL,
	[DataI] [smallint] NULL,
	[DataS] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[DataD] [datetime] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* ホスト取込項目情報 */
GO
CREATE TABLE [dbo].[ホスト取込項目情報](
	[レイアウト番号] [int] NOT NULL,
	[項目コード] [char](3) COLLATE Japanese_CI_AS NOT NULL,
	[型詳細コード] [nvarchar](10) COLLATE Japanese_CI_AS NULL,
	[開始位置] [smallint] NULL,
	[桁数] [smallint] NULL,
	[フラグ事項] [nvarchar](50) COLLATE Japanese_CI_AS NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)

/* ホスト転送設定情報 */
GO
CREATE TABLE [dbo].[ホスト転送設定情報](
	[レイアウト番号] [int] NOT NULL,
	[項目コード] [smallint] NOT NULL,
	[DataI] [smallint] NULL,
	[DataS] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[DataD] [datetime] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)

/* ホスト転送項目情報 */
GO
CREATE TABLE [dbo].[ホスト転送項目情報](
	[レイアウト番号] [int] NOT NULL,
	[項目ID] [smallint] NOT NULL,
	[変換区分] [char](2) COLLATE Japanese_CI_AS NOT NULL,
	[選挙番号] [smallint] NULL,
	[フィールド名] [nvarchar](50) COLLATE Japanese_CI_AS NULL,
	[桁数] [smallint] NULL,
	[フラグ] [nvarchar](50) COLLATE Japanese_CI_AS NULL,
	[フラグON値] [nvarchar](50) COLLATE Japanese_CI_AS NULL,
	[フラグOFF値] [nvarchar](50) COLLATE Japanese_CI_AS NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)

/* ホスト連携情報 */
GO
CREATE TABLE [dbo].[ホスト連携情報](
	[c_id] [nvarchar](2) COLLATE Japanese_CI_AS NOT NULL,
	[c_key] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[c_skey] [nvarchar](12) COLLATE Japanese_CI_AS NOT NULL,
	[c_data] [nvarchar](200) COLLATE Japanese_CI_AS NULL,
	[c_wk] [nvarchar](10) COLLATE Japanese_CI_AS NULL,
	[c_swk] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[c_ad] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[c_seki] [nvarchar](200) COLLATE Japanese_CI_AS NULL,
	[c_scd] [nvarchar](1) COLLATE Japanese_CI_AS NULL,
	[c_ad1] [nvarchar](200) COLLATE Japanese_CI_AS NULL,
	[c_ad2] [nvarchar](200) COLLATE Japanese_CI_AS NULL
)


/* 外字変換マスタ */
GO
CREATE TABLE [dbo].[外字変換マスタ](
	[外字ID] [int] NOT NULL,
	[外字] [nvarchar](5) COLLATE Japanese_CI_AS NULL,
	[外字コード] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[正字] [nvarchar](5) COLLATE Japanese_CI_AS NULL,
	[正字コード] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[メモ] [nvarchar](100) COLLATE Japanese_CI_AS NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* メッセージマスタ */
GO
CREATE TABLE [dbo].[メッセージマスタ](
	[ID] [smallint] NOT NULL,
	[画面種別] [tinyint] NOT NULL,
	[表示状態] [tinyint] NOT NULL,
	[メッセージ] [nvarchar](50) COLLATE Japanese_CI_AS NOT NULL,
	[アイコン種別] [tinyint] NOT NULL,
	[アイコンファイルパス] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[フラッシュ回数] [tinyint] NOT NULL,
	[フラッシュ間隔] [tinyint] NULL,
	[フラッシュ色1] [int] NULL,
	[フラッシュ色2] [int] NULL,
	[音声種別] [tinyint] NOT NULL,
	[音声ファイルパス] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[ボックスタイトル] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[ボックス背景色] [int] NULL,
	[ボックス文字色] [int] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)


/* KEN_add2 */
GO
CREATE TABLE [dbo].[KEN_add2](
	[h1] [nvarchar](255) COLLATE Japanese_CI_AS NOT NULL,
	[h2] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[h3] [nvarchar](255) COLLATE Japanese_CI_AI NULL,
	[h4] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[h5] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[h6] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[h7] [nvarchar](255) COLLATE Japanese_CI_AS NULL
)


/* KEN_add */
GO
CREATE TABLE [dbo].[KEN_add](
	[ID] [int] NOT NULL,
	[f1] [int] NOT NULL,
	[f2] [nvarchar](255) COLLATE Japanese_CI_AS NOT NULL,
	[f3] [nvarchar](255) COLLATE Japanese_CI_AS NOT NULL,
	[f4] [nvarchar](255) COLLATE Japanese_CI_AI NOT NULL,
	[f5] [nvarchar](255) COLLATE Japanese_CI_AI NOT NULL,
	[f6] [nvarchar](255) COLLATE Japanese_CI_AI NULL,
	[f7] [nvarchar](255) COLLATE Japanese_CI_AS NOT NULL,
	[f8] [nvarchar](255) COLLATE Japanese_CI_AS NOT NULL,
	[f9] [nvarchar](255) COLLATE Japanese_CI_AS NULL,
	[f10] [int] NULL,
	[f11] [int] NULL,
	[f12] [int] NULL,
	[f13] [int] NULL,
	[f14] [int] NULL,
	[f15] [int] NULL
)


/* SENCOM */
GO
CREATE TABLE [dbo].[SENCOM](
	[c_id] [nvarchar](2) COLLATE Japanese_CI_AS NOT NULL,
	[c_key] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[c_skey] [nvarchar](12) COLLATE Japanese_CI_AS NOT NULL,
	[c_data] [nvarchar](200) COLLATE Japanese_CI_AS NULL,
	[c_wk] [nvarchar](10) COLLATE Japanese_CI_AS NULL,
	[c_swk] [nvarchar](20) COLLATE Japanese_CI_AS NULL,
	[c_ad] [nvarchar](80) COLLATE Japanese_CI_AS NULL,
	[c_seki] [nvarchar](200) COLLATE Japanese_CI_AS NULL,
	[c_scd] [nvarchar](1) COLLATE Japanese_CI_AS NULL,
	[c_ad1] [nvarchar](200) COLLATE Japanese_CI_AS NULL,
	[c_ad2] [nvarchar](200) COLLATE Japanese_CI_AS NULL
)


/* 選挙人台帳付帯情報*/
GO
CREATE TABLE [dbo].[選挙人台帳付帯情報](
	[個人番号] [bigint] NOT NULL,
	[名簿区分] [nvarchar](14) COLLATE Japanese_CI_AS NOT NULL,
	[執行日] [datetime] NOT NULL,
	[項目１] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[項目２] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[項目３] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[項目４] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[項目５] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[項目６] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[項目７] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[項目８] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[項目９] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[項目１０] [nvarchar](120) COLLATE Japanese_CI_AS NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) COLLATE Japanese_CI_AS NULL
)

/* 一括登録４抹情報*/
GO
CREATE TABLE [dbo].[一括登録４抹情報](
	[個人番号] [bigint] NOT NULL,
	[名簿区分] [nvarchar](14) NOT NULL,
	[執行日] [datetime] NOT NULL,
	[指定抹消対象日] [int] NOT NULL,
	[抹消対象異動事由コード] [tinyint] NOT NULL,
	[抹消対象異動日] [int] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* 開票区情報*/
GO
CREATE TABLE [dbo].[開票区情報](
	[開票区コード] [nvarchar](5) NOT NULL,
	[開票区名] [nvarchar](200) NULL,
	[開票区略称] [nvarchar](3) NULL,
	[PDFPath] [nvarchar](200) NULL,
	[検索時背景色] [int] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* 共通投票所情報*/
GO
CREATE TABLE [dbo].[共通投票所情報](
	[共通投票所コード] [nvarchar](5) NOT NULL,
	[共通投票所名] [nvarchar](200) NULL,
	[背景色] [int] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL,
	[開始時刻] [datetime] NULL,
	[終了時刻] [datetime] NULL,
	[投票所住所] [nvarchar](200) NULL,
	[投票所案内図] [varbinary](max) NULL
)


/* 共通投票所投票区情報*/
GO
CREATE TABLE [dbo].[共通投票所投票区情報](
	[共通投票所コード] [nvarchar](5) NOT NULL,
	[投票区コード] [nvarchar](10) NOT NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* 行政区情報*/
GO
CREATE TABLE [dbo].[行政区情報](
	[行政区コード] [nvarchar](6) NOT NULL,
	[行政区名] [nvarchar](100) NULL,
	[選挙管理委員長名] [nvarchar](100) NULL,
	[検索時背景色] [int] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* 行政区内開票区情報*/
GO
CREATE TABLE [dbo].[行政区内開票区情報](
	[行政区コード] [nvarchar](6) NOT NULL,
	[開票区コード] [nvarchar](5) NOT NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* 受付可能開票区情報*/
GO
CREATE TABLE [dbo].[受付可能開票区情報](
	[受付場所コード] [nvarchar](5) NOT NULL,
	[開票区コード] [nvarchar](5) NOT NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* 受付場所情報*/
GO
CREATE TABLE [dbo].[受付場所情報](
	[受付場所コード] [nvarchar](5) NOT NULL,
	[受付場所名] [nvarchar](200) NULL,
	[背景色] [int] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL,
	[受付場所住所] [nvarchar](200) NULL,
	[受付開始時刻] [datetime] NULL,
	[受付終了時刻] [datetime] NULL
)


/* 選挙区情報*/
GO
CREATE TABLE [dbo].[選挙区情報](
	[選挙区コード] [nvarchar](5) NOT NULL,
	[選挙種別] [nvarchar](14) NULL,
	[選挙区名] [nvarchar](200) NULL,
	[表示用選挙区コード] [nvarchar](5) NULL,
	[検索時背景色] [int] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* 選挙区内開票区情報*/
GO
CREATE TABLE [dbo].[選挙区内開票区情報](
	[選挙区コード] [nvarchar](5) NOT NULL,
	[開票区コード] [nvarchar](5) NOT NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* 選挙人属性管理情報*/
GO
CREATE TABLE [dbo].[選挙人属性管理情報](
	[ヘッダー] [varchar](4) NOT NULL,
	[個人番号] [bigint] NOT NULL,
	[申請年月日] [int] NULL,
	[交付年月日] [int] NULL,
	[有効期限] [int] NULL,
	[管理コード] [varchar](15) NOT NULL,
	[手帳区分] [varchar](2) NULL,
	[等級] [varchar](5) NULL,
	[手帳番号] [varchar](50) NULL,
	[障害内容] [nvarchar](200) NULL,
	[電話番号] [varchar](15) NULL,
	[無効日] [int] NULL,
	[送付先郵便番号] [varchar](7) NULL,
	[送付先住所] [nvarchar](120) NULL,
	[代理投票可否] [varchar](1) NULL,
	[代理人氏名] [nvarchar](40) NULL,
	[代理人住所] [nvarchar](80) NULL,
	[代理人生年月日] [varchar](12) NULL,
	[代理人電話番号] [varchar](15) NULL,
	[代理人画像] [varchar](120) NULL,
	[予備１] [nvarchar](200) NULL,
	[選挙人属性] [nvarchar](14) NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* 投票区情報*/
GO
CREATE TABLE [dbo].[投票区情報](
	[投票区コード] [nvarchar](10) NOT NULL,
	[投票区名] [nvarchar](200) NULL,
	[投票所名] [nvarchar](200) NULL,
	[開設時間帯] [nvarchar](80) NULL,
	[住所] [nvarchar](200) NULL,
	[電話番号] [nvarchar](20) NULL,
	[FAX番号] [nvarchar](20) NULL,
	[開票区コード] [nvarchar](5) NULL,
	[指定投票区] [tinyint] NULL,
	[検索時背景色] [int] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL
)


/* senacclog*/
GO
CREATE TABLE [dbo].[senacclog](
	[a_hd] [varchar](2) NOT NULL,
	[a_frm] [varchar](20) NOT NULL,
	[a_day] [char](8) NOT NULL,
	[a_time] [char](6) NOT NULL,
	[a_jcd] [varchar](20) NOT NULL,
	[a_mcn] [varchar](20) NOT NULL,
	[a_sqn] [int] NOT NULL,
	[a_kojin] [varchar](20) NULL,
	[a_kana] [varchar](40) NULL,
	[a_kanji] [nvarchar](40) NULL,
	[a_Gad] [nvarchar](200) NULL,
	[a_sex] [char](1) NULL,
	[a_bday] [char](8) NULL,
	[a_frmnm] [nvarchar](40) NULL,
	[a_tbl] [varchar](20) NULL,
	[a_tblnm] [nvarchar](40) NULL,
	[a_fld] [varchar](max) NULL,
	[a_fldname] [nvarchar](max) NULL,
	[a_val] [nvarchar](max) NULL,
	[a_operation] [nvarchar](10) NULL,
	[a_process] [nvarchar](max) NULL,
	[a_query] [nvarchar](max) NULL,
	[a_rptpath] [varchar](100) NULL,
	[a_rptno] [varchar](50) NULL,
	[a_yobi1] [varchar](50) NULL,
	[a_yobi2] [varchar](50) NULL,
	[a_yobi3] [varchar](50) NULL,
	[a_yobi4] [varchar](50) NULL,
	[a_yobi5] [varchar](50) NULL,
	[a_mado] [varchar](50) NULL
)


/* Exclusion*/
GO
CREATE TABLE [dbo].[Exclusion](
	[e_hd] [varchar](2) NOT NULL,
	[e_mcn] [varchar](20) NOT NULL,
	[e_kojin] [varchar](15) NOT NULL,
	[e_sys] [varchar](20) NOT NULL,
	[e_uid] [varchar](20) NOT NULL,
	[e_day] [varchar](14) NOT NULL,
	[e_id] [varchar](50) NOT NULL,
	[e_kbn] [varchar](50) NOT NULL,
	[e_yobi1] [varchar](50) NOT NULL,
	[e_yobi2] [varchar](50) NOT NULL,
	[e_yobi3] [varchar](50) NOT NULL,
	[e_yobi4] [varchar](50) NOT NULL,
	[e_yobi5] [varchar](50) NOT NULL
)


/* 公印設定*/
GO
CREATE TABLE [dbo].[公印設定](
	[行政区コード] [nvarchar](6) NOT NULL,
	[ID] [smallint] NOT NULL,
	[PositionCode] [nvarchar](2) NULL,
	[PersonCode] [nvarchar](12) NULL,
	[DisplayName] [nvarchar](50) NULL,
	[SealPrint] [varbinary](max) NULL,
)


/* 不在管理番号*/
GO
CREATE TABLE [dbo].[不在管理番号](
	[不在施設番号] [nvarchar](14) NOT NULL,
	[管理番号親] [smallint] NOT NULL,
	[管理番号枝] [smallint] NOT NULL,
	[選挙ID] [smallint] NOT NULL,
	[個人番号] [bigint] NOT NULL,
	[名簿区分] [nvarchar](14) NULL,
	[執行日] [datetime] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL,
)


/* 受付場所設置期間*/
GO
CREATE TABLE [dbo].[受付場所設置期間](
	[受付場所コード] [nvarchar](5) NOT NULL,
	[選挙ID] [smallint] NOT NULL,
	[受付場所開設日] [datetime] NULL,
	[受付場所終了日] [datetime] NULL,
	[UpdateTime] [datetime] NULL,
	[UpdateUser] [nvarchar](20) NULL,
)
